#!/bin/sh

PLATFORM=imx357
if [ `dd if=/dev/mmcblk0 bs=512 skip=1024 count=1 | grep -c "HW CONFIG v0.7"` == 1 ]; then
	PLATFORM=m166e
fi

if [ -e /mnt/onboard/.kobo/manifest.md5sum ]; then 
	cd /mnt/onboard/.kobo
	md5sum -c manifest.md5sum && rm -rf manifest.md5sum
	if [ $? != 0 ]; then
		zcat /etc/images/error_usb_try_again.raw.gz | /usr/local/Kobo/pickel showpic
		exit 1;
	fi
	cd /
fi

PRELOAD=totally_not_used
HWCONFIG=totally_not_used
EPSON_INSTRUCTION=totally_not_used
EPSON_WAVEFORM=totally_not_used
WAVEFORM_166e=totally_not_used

if [ $PLATFORM == imx357 ]; then
	REDBOOT=/mnt/onboard/.kobo/upgrade/$PLATFORM/redboot.bin
	UBOOT=totally_not_used
else
	REDBOOT=totally_not_used
	UBOOT=/mnt/onboard/.kobo/upgrade/$PLATFORM/u-boot.bin
fi

LOGO=/mnt/onboard/.kobo/upgrade/$PLATFORM/logo.bmp
KERNEL=/mnt/onboard/.kobo/upgrade/$PLATFORM/zImage

/etc/init.d/upgrade-generic.sh $PRELOAD $REDBOOT $HWCONFIG $LOGO $EPSON_INSTRUCTION $EPSON_WAVEFORM $KERNEL mmcblk0 $UBOOT $WAVEFORM_166e

exit $?
